## org.apache.lucene.queryParser.standard.builders
Class BooleanQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.BooleanQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class BooleanQueryNodeBuilder

extends Object
implements StandardQueryBuilder

Builds a `BooleanQuery` object from a `BooleanQueryNode` object. Every children in the `BooleanQueryNode` object must be already tagged using `QueryTreeBuilder.QUERY_TREE_BUILDER_TAGID` with a `Query` object.
It takes in consideration if the children is a `ModifierQueryNode` to define the `BooleanClause`.

Constructor Summary
`BooleanQueryNodeBuilder()`

Method Summary
`BooleanQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanQueryNodeBuilder

    public BooleanQueryNodeBuilder()

Method Detail

### build

    public BooleanQuery build(QueryNode queryNode)
                       throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`